### Class

# FwupdPlugin ArchiveFirmware

#### Description [src]

    class FwupdPlugin.ArchiveFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

An archive firmware image, typically for nested firmware volumes.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_archive_firmware_new

Creates a new archive `FuFirmware`.

since: 1.7.3

#### Instance methods

###### fu_archive_firmware_get_compression

Returns the compression.

since: 1.8.1

###### fu_archive_firmware_get_format

Gets the archive format.

since: 1.8.1

###### fu_archive_firmware_get_image_fnmatch

Gets a single firmware image using the image ID pattern. It is also an error for multiple images to match.

since: 1.8.9

###### fu_archive_firmware_set_compression

Sets the compression.

since: 1.8.1

###### fu_archive_firmware_set_format

Sets the archive format.

since: 1.8.1

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginArchiveFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.